## ocaml-fileutils 0.3.0

=== Makefile ===
##########################################################################
#   Ocaml-fileutils                                                      #
#                                                                        #
#   Copyright (C) 2003, 2004 Sylvain Le Gall <sylvain@le-gall.net>       #
#                                                                        #
#   This program is free software; you can redistribute it and/or        #
#   modify it under the terms of the GNU Library General Public          #
#   License as published by the Free Software Foundation; either         #
#   version 2 of the License, or any later version ; with the OCaml      #
#   static compilation exception.                                        #
#                                                                        #
#   This program is distributed in the hope that it will be useful,      #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of       #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                 #
#   See the LICENCE file for more details.                               #
#                                                                        #
#   You should have received a copy of the GNU General Public License    #
#   along with this program; if not, write to the Free Software          #
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA             #
#   02111-1307  USA                                                      #
#                                                                        #
#   Contact: sylvain@le-gall.net                                         #
#                                                                        #
##########################################################################

all: mkdir-temp
	cd libfileutils-ocaml && $(MAKE) all

install:
	cd libfileutils-ocaml && $(MAKE) install

uninstall:
	cd libfileutils-ocaml && $(MAKE) uninstall

clean:: mkdir-temp-clean
	cd libfileutils-ocaml && $(MAKE) clean
	cd test               && $(MAKE) clean
	cd website            && $(MAKE) clean

doc: mkdir-temp
	cd libfileutils-ocaml && $(MAKE) doc

mkdir-temp: mkdir-temp-stamp
mkdir-temp-stamp: 
	mkdir $(TEMPBUILD)
	mkdir $(TEMPBUILDLIB)
	mkdir $(TEMPBUILDEXE)
	mkdir $(TEMPBUILDDOC)
	touch mkdir-temp-stamp
mkdir-temp-clean:
	$(RM) -r $(TEMPBUILDDOC)
	$(RM) -r $(TEMPBUILDEXE)
	$(RM) -r $(TEMPBUILDLIB)
	$(RM) -r $(TEMPBUILD)
	$(RM) mkdir-temp-stamp
	
include TopMakefile

=== libfileutils-ocaml/Makefile ===
##########################################################################
#   Ocaml-fileutils                                                      #
#                                                                        #
#   Copyright (C) 2003, 2004 Sylvain Le Gall <sylvain@le-gall.net>       #
#                                                                        #
#   This program is free software; you can redistribute it and/or        #
#   modify it under the terms of the GNU Library General Public          #
#   License as published by the Free Software Foundation; either         #
#   version 2 of the License, or any later version ; with the OCaml      #
#   static compilation exception.                                        #
#                                                                        #
#   This program is distributed in the hope that it will be useful,      #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of       #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                 #
#   See the LICENCE file for more details.                               #
#                                                                        #
#   You should have received a copy of the GNU General Public License    #
#   along with this program; if not, write to the Free Software          #
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA             #
#   02111-1307  USA                                                      #
#                                                                        #
#   Contact: sylvain@le-gall.net                                         #
#                                                                        #
##########################################################################

NAME = fileutils
LIBRARY = true
CMO = \
	filePath_type.cmo \
	unixPath_parser.cmo \
	unixPath_lexer.cmo \
	unixPath.cmo \
	macOSPath_parser.cmo \
	macOSPath_lexer.cmo \
	macOSPath.cmo \
	win32Path_parser.cmo \
	win32Path_lexer.cmo \
	win32Path.cmo \
	cygwinPath_parser.cmo \
	cygwinPath_lexer.cmo \
	cygwinPath.cmo \
	genericPath_parser.cmo \
	genericPath_lexer.cmo \
	filePath.cmo \
	fileUtil.cmo 
REQUIRES = unix str 
PREDICATES = 
INSTALLIB = \
	fileutils.a \
	fileutils.cmxa \
	fileutils.cma \
	filePath.cmi \
	fileUtil.cmi \
	META
ODOC = \
	filePath.ml \
	fileUtil.ml

include ../TopMakefile

$(NAME).odoc: $(CMO)

unixPath_parser.cmo: unixPath_parser.cmi
unixPath_parser.cmx: unixPath_parser.cmi

macOSPath_parser.cmo: macOSPath_parser.cmi
macOSPath_parser.cmx: macOSPath_parser.cmi

win32Path_parser.cmo: win32Path_parser.cmi
win32Path_parser.cmx: win32Path_parser.cmi

cygwinPath_parser.cmo: cygwinPath_parser.cmi
cygwinPath_parser.cmx: cygwinPath_parser.cmi

genericPath_parser.cmo: genericPath_parser.cmi
genericPath_parser.cmx: genericPath_parser.cmi

clean::
	$(RM) unixPath_parser.ml 
	$(RM) unixPath_parser.mli 
	$(RM) unixPath_parser.output
	$(RM) unixPath_lexer.ml
	$(RM) macOSPath_parser.ml 
	$(RM) macOSPath_parser.mli 
	$(RM) macOSPath_parser.output
	$(RM) macOSPath_lexer.ml
	$(RM) win32Path_parser.ml 
	$(RM) win32Path_parser.mli 
	$(RM) win32Path_parser.output
	$(RM) win32Path_lexer.ml
	$(RM) cygwinPath_parser.ml 
	$(RM) cygwinPath_parser.mli 
	$(RM) cygwinPath_parser.output
	$(RM) cygwinPath_lexer.ml
	$(RM) genericPath_parser.ml 
	$(RM) genericPath_parser.mli 
	$(RM) genericPath_parser.output
	$(RM) genericPath_lexer.ml

=== test/Makefile ===
##########################################################################
#   Ocaml-fileutils                                                      #
#                                                                        #
#   Copyright (C) 2003, 2004 Sylvain Le Gall <sylvain@le-gall.net>       #
#                                                                        #
#   This program is free software; you can redistribute it and/or        #
#   modify it under the terms of the GNU Library General Public          #
#   License as published by the Free Software Foundation; either         #
#   version 2 of the License, or any later version ; with the OCaml      #
#   static compilation exception.                                        #
#                                                                        #
#   This program is distributed in the hope that it will be useful,      #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of       #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                 #
#   See the LICENCE file for more details.                               #
#                                                                        #
#   You should have received a copy of the GNU General Public License    #
#   along with this program; if not, write to the Free Software          #
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA             #
#   02111-1307  USA                                                      #
#                                                                        #
#   Contact: sylvain@le-gall.net                                         #
#                                                                        #
##########################################################################

NAME = test
CMO = version.cmo test.cmo
REQUIRES = fileutils oUnit 

test: all
	$(RM) -r test-util
	./test.$(OCAMLBEST)

clean::
	$(RM) -r test-util

include ../TopMakefile

=== website/Makefile ===
SGML_CATALOG_FILES=/etc/sgml/catalog
export SGML_CATALOG_FILES

PROC    = xsltproc --nonet --catalogs
WEBSITE = /usr/share/xml/docbook/custom/website/2.5.0/xsl

all: ocaml-fileutils.html

%.html: autolayout.xml
	$(PROC)       $(WEBSITE)/chunk-tabular.xsl $<

autolayout.xml: layout.xml
	$(PROC) -o $@ $(WEBSITE)/autolayout.xsl $<

clean:
	-$(RM) *.html autolayout.xml

## ocaml-fileutils 0.4.0

=== Makefile ===
################################################################################
#  ocaml-fileutils: files and filenames common operations                      #
#                                                                              #
#  Copyright (C) 2003-2009, Sylvain Le Gall                                    #
#                                                                              #
#  This library is free software; you can redistribute it and/or modify it     #
#  under the terms of the GNU Lesser General Public License as published by    #
#  the Free Software Foundation; either version 2.1 of the License, or (at     #
#  your option) any later version, with the OCaml static compilation           #
#  exception.                                                                  #
#                                                                              #
#  This library is distributed in the hope that it will be useful, but         #
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY  #
#  or FITNESS FOR A PARTICULAR PURPOSE. See the file COPYING for more          #
#  details.                                                                    #
#                                                                              #
#  You should have received a copy of the GNU Lesser General Public License    #
#  along with this library; if not, write to the Free Software Foundation,     #
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA               #
################################################################################

-include TopMakefile

BUILDDIR=./_build/src
SRCDIR=./src
OCAMLBUILDFLAGS+=-classic-display -no-log

all:

_build/myocamlbuild: myocamlbuild.ml
	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) -just-plugin
	-cp $@.exe $@

myocamlbuild: _build/myocamlbuild

all: myocamlbuild
	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) \
	  $(SRCDIR)/fileutils.cma \
	  $(SRCDIR)/fileutils-str.cma \
	  $(SRCDIR)/fileutils.$(ocamlbuild_best_library) \
	  $(SRCDIR)/fileutils-str.$(ocamlbuild_best_library) \
	  $(SRCDIR)/fileutils.docdir/index.html 

clean:
	$(if $(OCAMLBUILD),-$(OCAMLBUILD) $(OCAMLBUILDFLAGS) -clean)

distclean: clean
	-$(RM) -r "autom4te.cache"
	-$(RM) "config.cache"
	-$(RM) "config.log"
	-$(RM) "config.status"
	-$(RM) "TopMakefile"

install: all
	$(INSTALL) -d $(htmldir)/api
	$(INSTALL_DATA) -t $(htmldir)/api \
	  $(wildcard $(BUILDDIR)/fileutils.docdir/*)
	$(OCAMLFIND) install \
	  -patch-version $(PACKAGE_VERSION) \
	  fileutils \
	  "$(SRCDIR)/META" \
	  "$(BUILDDIR)/fileutils.cma" \
	  "$(BUILDDIR)/fileutils-str.cma" \
	  "$(BUILDDIR)/FileUtil.cmi" \
	  "$(BUILDDIR)/FileUtil.ml" \
	  "$(BUILDDIR)/FileUtilStr.cmi" \
	  "$(BUILDDIR)/FileUtilStr.ml" \
	  "$(BUILDDIR)/FilePath.cmi" \
	  "$(BUILDDIR)/FilePath.mli" \
	  $(wildcard $(BUILDDIR)/fileutils.cmxa) \
	  $(wildcard $(BUILDDIR)/fileutils.a) \
	  $(wildcard $(BUILDDIR)/fileutils.lib) \
	  $(wildcard $(BUILDDIR)/fileutils-str.cmxa) \
	  $(wildcard $(BUILDDIR)/fileutils-str.a) \
	  $(wildcard $(BUILDDIR)/fileutils-str.lib) \
	  $(wildcard $(BUILDDIR)/*.cmx) 

uninstall:
	-$(RM) -r $(htmldir)/api
	-$(OCAMLFIND) remove fileutils

DISTDIR=$(PACKAGE_TARNAME)-$(PACKAGE_VERSION)
TARBALL=$(DISTDIR).tar.gz
SVN_TRUNK=$(shell LC_ALL=en_US svn info | sed -n -e 's/^URL: \(.*\)$$/\1/p')
SVN_TAG=$(dir $(SVN_TRUNK))/tags/$(PACKAGE_VERSION)
dist:
	svn export . "$(DISTDIR)"
	cp -L "m4/ocaml.m4" "$(DISTDIR)/m4/ocaml.m4"
	cd "$(DISTDIR)" && ./autogen.sh
	$(RM) -r "$(DISTDIR)/autom4te.cache"
	tar czf "$(TARBALL)" "$(DISTDIR)"
	$(RM) -r "$(DISTDIR)"
	gpg -s -a -b "$(TARBALL)"
	# Probing tags
	if ! svn ls $(SVN_TAG); then echo svn copy . $(SVN_TAG); fi

test: all
ifeq ($(BUILD_TEST),yes)
	$(OCAMLBUILD) $(OCAMLBUILDFLAGS) \
	  test/test.$(ocamlbuild_best_program) \
	  test/BenchFind.$(ocamlbuild_best_program)
	cd "_build/test" && ./test.$(ocamlbuild_best_program) $(TESTFLAGS)
else
	echo "Test cannot be built" >&2 && exit 1
endif

headache:
	find ./ -name .svn -prune -false -o -name _build -prune -false -o -type f \
	  | xargs headache -h .header -c .headache.config

bench-find: all
	_build/test/BenchFind.native

.PHONY: all clean distclean install uninstall dist test myocamlbuild headache bench-find

=== website/Makefile ===
--- 
+++ 
@@ -1,3 +1,24 @@
+################################################################################
+#  ocaml-fileutils: files and filenames common operations                      #
+#                                                                              #
+#  Copyright (C) 2003-2009, Sylvain Le Gall                                    #
+#                                                                              #
+#  This library is free software; you can redistribute it and/or modify it     #
+#  under the terms of the GNU Lesser General Public License as published by    #
+#  the Free Software Foundation; either version 2.1 of the License, or (at     #
+#  your option) any later version, with the OCaml static compilation           #
+#  exception.                                                                  #
+#                                                                              #
+#  This library is distributed in the hope that it will be useful, but         #
+#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY  #
+#  or FITNESS FOR A PARTICULAR PURPOSE. See the file COPYING for more          #
+#  details.                                                                    #
+#                                                                              #
+#  You should have received a copy of the GNU Lesser General Public License    #
+#  along with this library; if not, write to the Free Software Foundation,     #
+#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA               #
+################################################################################
+
 SGML_CATALOG_FILES=/etc/sgml/catalog
 export SGML_CATALOG_FILES

## ocaml-fileutils 0.4.2

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 BUILDDIR=./_build/src
 SRCDIR=./src
-OCAMLBUILDFLAGS+=-classic-display -no-log
+OCAMLBUILDFLAGS+=-classic-display -no-log -byte-plugin
 
 all:
 
@@ -52,9 +52,6 @@
 	-$(RM) "TopMakefile"
 
 install: all
-	$(INSTALL) -d $(htmldir)/api
-	$(INSTALL_DATA) -t $(htmldir)/api \
-	  $(wildcard $(BUILDDIR)/fileutils.docdir/*)
 	$(OCAMLFIND) install \
 	  -patch-version $(PACKAGE_VERSION) \
 	  fileutils \
@@ -74,6 +71,9 @@
 	  $(wildcard $(BUILDDIR)/fileutils-str.a) \
 	  $(wildcard $(BUILDDIR)/fileutils-str.lib) \
 	  $(wildcard $(BUILDDIR)/*.cmx) 
+	$(INSTALL) -d $(htmldir)/api
+	$(INSTALL_DATA) -t $(htmldir)/api \
+	  $(wildcard $(BUILDDIR)/fileutils.docdir/*)
 
 uninstall:
 	-$(RM) -r $(htmldir)/api
@@ -85,6 +85,7 @@
 SVN_TAG=$(dir $(SVN_TRUNK))/tags/$(PACKAGE_VERSION)
 dist:
 	svn export . "$(DISTDIR)"
+	$(RM) "$(DISTDIR)/m4/ocaml.m4"
 	cp -L "m4/ocaml.m4" "$(DISTDIR)/m4/ocaml.m4"
 	cd "$(DISTDIR)" && ./autogen.sh
 	$(RM) -r "$(DISTDIR)/autom4te.cache"

## ocaml-fileutils 0.4.5

=== Makefile ===
################################################################################
#  ocaml-fileutils: files and filenames common operations                      #
#                                                                              #
#  Copyright (C) 2003-2011, Sylvain Le Gall                                    #
#                                                                              #
#  This library is free software; you can redistribute it and/or modify it     #
#  under the terms of the GNU Lesser General Public License as published by    #
#  the Free Software Foundation; either version 2.1 of the License, or (at     #
#  your option) any later version, with the OCaml static compilation           #
#  exception.                                                                  #
#                                                                              #
#  This library is distributed in the hope that it will be useful, but         #
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY  #
#  or FITNESS FOR A PARTICULAR PURPOSE. See the file COPYING for more          #
#  details.                                                                    #
#                                                                              #
#  You should have received a copy of the GNU Lesser General Public License    #
#  along with this library; if not, write to the Free Software Foundation,     #
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA               #
################################################################################

# OASIS_START
# DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all: 
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: 
	$(SETUP) -clean $(CLEANFLAGS)

distclean: 
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP
headache:
	find ./ -name _darcs -prune -false -o -name _build -prune -false -o -type f \
		| xargs headache -h _header -c _headache.config

.PHONY: headache

deploy:
	admin-gallu-deploy --verbose \
		--forge_upload	--forge_group ocaml-fileutils --forge_user gildor-admin

.PHONY: deploy

=== website/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ################################################################################
 #  ocaml-fileutils: files and filenames common operations                      #
 #                                                                              #
-#  Copyright (C) 2003-2009, Sylvain Le Gall                                    #
+#  Copyright (C) 2003-2011, Sylvain Le Gall                                    #
 #                                                                              #
 #  This library is free software; you can redistribute it and/or modify it     #
 #  under the terms of the GNU Lesser General Public License as published by    #

=== debian/changelog ===
ocaml-fileutils (0.4.5-4build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 11:43:18 -0600

ocaml-fileutils (0.4.5-4) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 21:21:52 +0100

ocaml-fileutils (0.4.5-3) experimental; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Compile with OCaml >= 4

  [ Hendrik Tews ]
  * enable tests again

 -- Stéphane Glondu <glondu@debian.org>  Fri, 26 Jul 2013 22:11:05 +0200

ocaml-fileutils (0.4.5-2) unstable; urgency=low

  * delete lintian spelling error override

 -- Hendrik Tews <hendrik@askra.de>  Tue, 04 Jun 2013 13:00:40 +0200

ocaml-fileutils (0.4.5-1) UNRELEASED; urgency=low

  * silent lintian canonical vcs info
  * new upstream version (fixes BSD build error)
  * remove html doc renaming
  * use dh_ocamldoc again
  * add lintian override for non-existing spelling error

 -- Hendrik Tews <hendrik@askra.de>  Mon, 03 Jun 2013 12:10:54 +0200

ocaml-fileutils (0.4.4-1) unstable; urgency=low

  * update watch file
  * new upstream version
  * change build system to debhelper/quilt
  * bump debhelper compat and standards versions
  * adjust dependencies
  * fix copyright
  * delete obsolete files in debian
  * add myself as uploader
  * add doc-base

 -- Hendrik Tews <hendrik@askra.de>  Thu, 30 May 2013 20:25:35 +0200

ocaml-fileutils (0.4.2-1) unstable; urgency=low

  * New upstream release 
  * Get rid of dpatch dependencies
  * Update homepage URL

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 06 Sep 2010 21:30:36 +0200

ocaml-fileutils (0.4.0-2) unstable; urgency=low

  * Only use byte plugin (Closes: #550344)

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 09 Oct 2009 22:40:03 +0200

ocaml-fileutils (0.4.0-1) unstable; urgency=low

  * New Upstream Version
  * Upgrade Standards-Version to 3.8.3 (section ocaml)
  * Remove all patches (integrated upstream)
  * Use dh_ocaml 0.9 (dh_ocamldoc, depends/provides)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 08 Oct 2009 22:11:48 +0000

ocaml-fileutils (0.3.0-14) unstable; urgency=low

  * Use ocaml 3.10.0-9 for generating .ocamldoc-apiref automatically
  * Add patch to handle largefile in 'du'
  * Switch packaging to git
  * Add dh-ocaml build-dependency (rules/ocaml.mk)
  * Set maintainer to Debian OCaml Maintainers
  * Upgrade Standards-Version to 3.8.0 (debian/README.source)
  * Add Homepage field to debian/control
  * Add ${misc:Depends} to dependencies
  * Update debian/copyright file to use
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Remove obsolete debian/control.in related variables and files
  * Rewrite description of debian/control

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 07 Mar 2009 14:37:08 +0100

ocaml-fileutils (0.3.0-13) unstable; urgency=low

  * Build for ocaml 3.10.0

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 04 Sep 2007 00:26:45 +0200

ocaml-fileutils (0.3.0-12) experimental; urgency=low

  * Ooops, depends field is empty

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 14 Jul 2007 01:51:29 +0200

ocaml-fileutils (0.3.0-11) experimental; urgency=low

  * Upgrade debian/watch version to 3,
  * Upgrade debhelper debian/compat to 5,
  * Use CDBS for debian/rules,
  * Change email address to gildor@debian.org everywhere
  * Rebuild for ocaml 3.10.0
  * Add dependency on camlp4

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 07 Jul 2007 23:26:25 +0200

ocaml-fileutils (0.3.0-10) unstable; urgency=low

  * Change my email address to gildor@debian.org,
  * Made debian/control a PHONY target,
  * Upgrade standards version to 3.7.2 (no change),

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 13 Jun 2006 19:15:24 +0200

ocaml-fileutils (0.3.0-9) unstable; urgency=low

  * Rebuild for OCaml 3.09.1

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Wed, 11 Jan 2006 00:07:01 +0100

ocaml-fileutils (0.3.0-8) unstable; urgency=low

  * Use Apps/Programming for doc-base

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Sat,  3 Dec 2005 01:11:09 +0100

ocaml-fileutils (0.3.0-7) unstable; urgency=low

  * Remove direct reference to ocaml library dir
  * Change FSF address in debian/copyright
  * Remove hardcoded OCaml ABI

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Fri,  2 Dec 2005 22:54:38 +0100

ocaml-fileutils (0.3.0-6) unstable; urgency=low

  * Transition to svn-buildpackage

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Mon, 22 Aug 2005 23:51:21 +0200

ocaml-fileutils (0.3.0-5) unstable; urgency=low

  * Sylvain:
    - Generate fileUtil.mli and filePath.mli (Closes: #302438)
  * Ralf:
    - Standards-Version 3.6.2 (no change).
    - Some improvements on the long package description.

 --  Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Tue, 16 Aug 2005 10:16:51 +0200

ocaml-fileutils (0.3.0-4) unstable; urgency=medium

  * Transition to ocaml 3.08.3 : depends on ocaml-nox-3.08.3

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Wed, 23 Mar 2005 23:11:47 +0100

ocaml-fileutils (0.3.0-3) unstable; urgency=low

  * Rebuild for binary compatiblity

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Mon, 13 Dec 2004 23:55:32 +0100

ocaml-fileutils (0.3.0-2) unstable; urgency=low

  * Correct the generation of ocaml-fileutils on non native platform 
    (Closes: #267045)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Fri, 27 Aug 2004 00:43:47 +0200

ocaml-fileutils (0.3.0-1) unstable; urgency=low

  * Initial upload

 -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org>  Sun, 27 Jun 2004 23:49:36 +0200

=== debian/control ===
Source: ocaml-fileutils
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: 
 Sylvain Le Gall <gildor@debian.org>,
 Hendrik Tews <hendrik@askra.de>
Build-Depends: 
 debhelper (>= 9),
 ocaml-nox (>= 4),
 ocaml-best-compilers,
 ocaml-findlib (>= 1.4),
 libounit-ocaml-dev,
 camlp4 (>= 3.10.0-4),
 dh-ocaml (>= 0.9)
Standards-Version: 3.9.4
Homepage: http://forge.ocamlcore.org/projects/ocaml-fileutils/
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-fileutils.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-fileutils.git

Package: libfileutils-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: File manipulation for OCaml
 This library provides some functions which operate on the file system
 for the Objective Caml (OCaml) programming language. The aim is to enhance
 the basic functionality provided by the OCaml standard Filename module.
 .
 It provides functions, written in pure OCaml, for manipulating files (mv, cp,
 mkdir et al) and abstract filename (make_relative, make_absolute et al).

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for ocaml-fileutils package

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/libfileutils-ocaml-dev

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libfileutils-ocaml-dev/html --enable-tests

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_install
override_dh_auto_install:
	ocaml setup.ml -install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

## ocaml-fileutils 0.5.2

=== Makefile ===
##############################################################################
#  ocaml-fileutils: files and filenames common operations                    #
#                                                                            #
#  Copyright (C) 2003-2014, Sylvain Le Gall                                  #
#                                                                            #
#  This library is free software; you can redistribute it and/or modify it   #
#  under the terms of the GNU Lesser General Public License as published by  #
#  the Free Software Foundation; either version 2.1 of the License, or (at   #
#  your option) any later version, with the OCaml static compilation         #
#  exception.                                                                #
#                                                                            #
#  This library is distributed in the hope that it will be useful, but       #
#  WITHOUT ANY WARRANTY; without even the implied warranty of                #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the file         #
#  COPYING for more details.                                                 #
#                                                                            #
#  You should have received a copy of the GNU Lesser General Public License  #
#  along with this library; if not, write to the Free Software Foundation,   #
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA             #
##############################################################################

defaultl: test

# OASIS_START
# DO NOT EDIT (digest: a3c674b4239234cbbe53afe090018954)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all:
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean:
	$(SETUP) -clean $(CLEANFLAGS)

distclean:
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

configure:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

# Precommit target
#  Check style of code.
PRECOMMIT_ARGS= \
	    --exclude myocamlbuild.ml \
	    --exclude setup.ml \
	    --exclude README.txt \
	    --exclude INSTALL.txt \
	    --exclude Makefile \
	    --exclude configure \
	    --exclude _tags

precommit:
	-@if command -v OCamlPrecommit > /dev/null; then \
	  OCamlPrecommit $(PRECOMMIT_ARGS); \
	else \
	  echo "Skipping precommit checks.";\
	fi

precommit-full:
	OCamlPrecommit --full $(PRECOMMIT_ARGS)

test: precommit

.PHONY: precommit

# Headache target
#  Fix license header of file.

headache:
	find ./ \
		-name _darcs -prune -false -o \
		-name .git -prune -false -o \
		-name _build -prune -false -o \
		-type f \
		| xargs headache -h _header -c _headache.config

.PHONY: headache

doc-dev-dist: doc fix-perms
	./doc-dist.sh --version dev

.PHONY: doc-dev-dist

# Deploy target
#  Deploy/release the software.

deploy: doc
	mkdir dist || true
	./doc-dist.sh --version $(shell oasis query version)
	admin-gallu-deploy --verbose \
		--forge_upload --forge_group ocaml-fileutils --forge_user gildor-admin \
	  --forge_extra_file "dist/ocaml-fileutils-doc-$(shell oasis query version).tar.gz"
	admin-gallu-oasis-increment \
	  --setup_run --setup_args "-setup-update dynamic" --use_vcs

.PHONY: deploy

fix-perms:
	chmod +x doc-dist.sh

.PHONY: fix-perms

website-clean:
	cd website && $(MAKE) clean

clean: website-clean

website-distclean:
	cd website && $(MAKE) distclean

distclean: website-distclean

.PHONY: website-distclean website-clean

=== website/Makefile ===
##############################################################################
#  ocaml-fileutils: files and filenames common operations                    #
#                                                                            #
#  Copyright (C) 2003-2014, Sylvain Le Gall                                  #
#                                                                            #
#  This library is free software; you can redistribute it and/or modify it   #
#  under the terms of the GNU Lesser General Public License as published by  #
#  the Free Software Foundation; either version 2.1 of the License, or (at   #
#  your option) any later version, with the OCaml static compilation         #
#  exception.                                                                #
#                                                                            #
#  This library is distributed in the hope that it will be useful, but       #
#  WITHOUT ANY WARRANTY; without even the implied warranty of                #
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the file         #
#  COPYING for more details.                                                 #
#                                                                            #
#  You should have received a copy of the GNU Lesser General Public License  #
#  along with this library; if not, write to the Free Software Foundation,   #
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA             #
##############################################################################

INKSCAPE=inkscape
COMPOSITE=composite
PANDOC=pandoc
TAR=tar
CURL=curl
FAB=fab
LINKCHECKER=linkchecker

# Name of the product.
NAME = ocaml-fileutils
API_NAME = fileutils

# Determine if we can scrape host.
ONLINE := $(shell (ping -c 1 forge.ocamlcore.org > /dev/null 2>&1 && echo true) || echo false)

# HTML page to scrape for data.
FORGE_PAGE = "http://forge.ocamlcore.org/frs/?group_id=128"

# Dev documetation link.
DEV_DOC_URL = "file:///$(shell pwd)/dist/ocaml-fileutils-doc-dev.tar.gz"

default: all

include Makefile.scrape
include website-tools/Makefile.common

GENERATED_HTML=$(patsubst mkd/%.mkd,html/%.html,$(wildcard mkd/*.mkd))
GENERATED_HTML+= html/index.html
GENERATED_IMG=html/logo.png

all: $(GENERATED_HTML) $(GENERATED_IMG) extract-api-documentation

.PHONY: all

clean:: distclean
	-$(RM) $(GENERATED_HTML) $(GENERATED_IMG) mkd/documentation.mkd mkd/index.mkd
	-$(RM) Makefile.scrape

distclean::

.PHONY: clean

html/%.png: images/%.svg
	inkscape $(INKSCAPEFLAGS) -e $@ $< > /dev/null

#
# Checkout external modules.
#
# Get program from gildor478/website-tools to build everything.
#

GIT_WEBSITE_TOOLS=https://github.com/gildor478/website-tools.git
checkout-website-tools:
	if ! test -d website-tools ; then git clone $(GIT_WEBSITE_TOOLS); fi
	cd website-tools && git pull

website-tools/Makefile.common: checkout-website-tools

.PHONY: checkout-website-tools

test: all

=== debian/changelog ===
ocaml-fileutils (0.5.2-1build2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 13:36:27 +0200

ocaml-fileutils (0.5.2-1build1) bionic; urgency=medium

  * Rebuild against new OCaml ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 21:33:21 +0200

ocaml-fileutils (0.5.2-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Update Vcs-*
  * Bump Standards-Version to 4.0.0
  * Bump debhelper compat to 10
  * Recommend ocaml-findlib
  * Add ocamlbuild to Build-Depends

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from Uploaders.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jul 2017 13:39:14 +0200

=== debian/control ===
Source: ocaml-fileutils
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Hendrik Tews <hendrik@askra.de>
Build-Depends:
 debhelper (>= 10),
 ocaml-nox (>= 4),
 ocaml-best-compilers,
 ocaml-findlib (>= 1.4),
 libounit-ocaml-dev,
 camlp4 (>= 3.10.0-4),
 ocamlbuild,
 dh-ocaml (>= 0.9)
Standards-Version: 4.0.0
Homepage: http://forge.ocamlcore.org/projects/ocaml-fileutils/
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-fileutils.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-fileutils.git

Package: libfileutils-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: File manipulation for OCaml
 This library provides some functions which operate on the file system
 for the Objective Caml (OCaml) programming language. The aim is to enhance
 the basic functionality provided by the OCaml standard Filename module.
 .
 It provides functions, written in pure OCaml, for manipulating files (mv, cp,
 mkdir et al) and abstract filename (make_relative, make_absolute et al).

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=128 .*/ocaml-fileutils-([0-9\.]*)\.tar\.gz

## ocaml-fileutils 0.5.3

=== debian/changelog ===
ocaml-fileutils (0.5.3-2build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:29:47 +0000

ocaml-fileutils (0.5.3-2) unstable; urgency=medium

  * Team upload
  * Remove oasis from Build-Depends, fixing a dependency loop; commit the
    output of "oasis setup" as a patch instead
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.0
  * Remove Hendrik from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Wed, 31 Jul 2019 17:11:06 +0200

ocaml-fileutils (0.5.3-1) unstable; urgency=medium

  * Team upload
  * New homepage (update d/watch file accordingly)
  * New upstream release
  * Bump Standards-Version to 4.1.4, no changes required
  * Move Git repository to Salsa, and update Vcs-* headers accordingly
  * Add oasis and libfindlib-ocaml-dev to Build-Depends, needed by setup.ml

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 11 May 2018 11:20:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: ocaml-fileutils
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders:
- Hendrik Tews <hendrik@askra.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 12),
  ocaml-nox (>= 4),
  ocaml-best-compilers,
  ocaml-findlib (>= 1.4),
+ libfindlib-ocaml-dev,
  libounit-ocaml-dev,
  camlp4 (>= 3.10.0-4),
  ocamlbuild,
  dh-ocaml (>= 0.9)
-Standards-Version: 4.0.0
-Homepage: http://forge.ocamlcore.org/projects/ocaml-fileutils/
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-fileutils.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-fileutils.git
+Standards-Version: 4.4.0
+Homepage: https://github.com/gildor478/ocaml-fileutils
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-fileutils.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-fileutils
 
 Package: libfileutils-ocaml-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -33,3 +33,5 @@
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:
 	ocaml setup.ml -distclean
+
+override_dh_dwz:

=== debian/watch ===
version=3
opts="filenamemangle=s/.*?\/(\d[\d.]*)\.tar\.gz/ocaml-fileutils-$1.tar.gz/" \
  https://github.com/gildor478/ocaml-fileutils/releases .*?/(\d[\d.]*)\.tar\.gz

## ocaml-fileutils 0.6.3

=== debian/changelog ===
ocaml-fileutils (0.6.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 Aug 2020 06:54:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,15 @@
 Source: ocaml-fileutils
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
- debhelper (>= 12),
- ocaml-nox (>= 4),
- ocaml-best-compilers,
- ocaml-findlib (>= 1.4),
- libfindlib-ocaml-dev,
+ debhelper-compat (= 13),
+ ocaml-nox,
+ ocaml-dune,
  libounit-ocaml-dev,
- camlp4 (>= 3.10.0-4),
- ocamlbuild,
- dh-ocaml (>= 0.9)
-Standards-Version: 4.4.0
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/gildor478/ocaml-fileutils
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-fileutils.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-fileutils

=== debian/watch ===
version=3
https://github.com/gildor478/ocaml-fileutils/releases .*/archive/v?(\d[\d.]*)\.tar\.gz

## ocaml-fileutils 0.6.4

=== Makefile ===
--- 
+++ 
@@ -19,60 +19,38 @@
 #  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA             #
 ##############################################################################
 
-defaultl: test
+default: test
 
-# OASIS_START
-# DO NOT EDIT (digest: a3c674b4239234cbbe53afe090018954)
+build:
+	dune build
 
-SETUP = ocaml setup.ml
+doc:
+	dune build @doc
 
-build: setup.data
-	$(SETUP) -build $(BUILDFLAGS)
-
-doc: setup.data build
-	$(SETUP) -doc $(DOCFLAGS)
-
-test: setup.data build
-	$(SETUP) -test $(TESTFLAGS)
+test:
+	dune runtest
 
 all:
-	$(SETUP) -all $(ALLFLAGS)
+	dune build @all
 
-install: setup.data
-	$(SETUP) -install $(INSTALLFLAGS)
+install: all
+	dune install
 
-uninstall: setup.data
-	$(SETUP) -uninstall $(UNINSTALLFLAGS)
-
-reinstall: setup.data
-	$(SETUP) -reinstall $(REINSTALLFLAGS)
+uninstall:
+	dune uninstall
 
 clean:
-	$(SETUP) -clean $(CLEANFLAGS)
+	dune clean
 
-distclean:
-	$(SETUP) -distclean $(DISTCLEANFLAGS)
+bench:
+	dune exec test/benchFind.exe
 
-setup.data:
-	$(SETUP) -configure $(CONFIGUREFLAGS)
-
-configure:
-	$(SETUP) -configure $(CONFIGUREFLAGS)
-
-.PHONY: build doc test all install uninstall reinstall clean distclean configure
-
-# OASIS_STOP
+.PHONY: build doc test all install uninstall clean
 
 # Precommit target
 #  Check style of code.
 PRECOMMIT_ARGS= \
-	    --exclude myocamlbuild.ml \
-	    --exclude setup.ml \
-	    --exclude README.txt \
-	    --exclude INSTALL.txt \
-	    --exclude Makefile \
-	    --exclude configure \
-	    --exclude _tags
+	    --exclude Makefile
 
 precommit:
 	-@if command -v OCamlPrecommit > /dev/null; then \
@@ -101,38 +79,13 @@
 
 .PHONY: headache
 
-doc-dev-dist: doc fix-perms
-	./doc-dist.sh --version dev
-
-.PHONY: doc-dev-dist
-
 # Deploy target
 #  Deploy/release the software.
 
 deploy: doc
-	mkdir dist || true
-	./doc-dist.sh --version $(shell oasis query version)
-	admin-gallu-deploy --verbose \
-		--forge_upload --forge_group ocaml-fileutils --forge_user gildor-admin \
-	  --forge_extra_file "dist/ocaml-fileutils-doc-$(shell oasis query version).tar.gz"
-	admin-gallu-oasis-increment \
-	  --setup_run --setup_args "-setup-update dynamic" --use_vcs
+	dune-release tag
+	git push --all
+	git push --tag
+	dune-release
 
 .PHONY: deploy
-
-fix-perms:
-	chmod +x doc-dist.sh
-
-.PHONY: fix-perms
-
-website-clean:
-	cd website && $(MAKE) clean
-
-clean: website-clean
-
-website-distclean:
-	cd website && $(MAKE) distclean
-
-distclean: website-distclean
-
-.PHONY: website-distclean website-clean

=== debian/changelog ===
ocaml-fileutils (0.6.4-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update watch file format version to 4.
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.
  * debian/watch: Use GitHub /tags rather than /releases page.
  * Update standards version to 4.6.1, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 22 Jan 2023 11:56:52 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  ocaml-dune,
  libounit-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/gildor478/ocaml-fileutils
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-fileutils.git

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for ocaml-fileutils package

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p fileutils

override_dh_auto_test:
	dune runtest -p fileutils

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/fileutils/LICENSE.txt

## ocaml-fileutils 0.6.6

=== debian/changelog ===
ocaml-fileutils (0.6.6-1build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 20:14:08 +0200

ocaml-fileutils (0.6.6-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 10:57:19 +0100

ocaml-fileutils (0.6.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 19 Jan 2025 11:20:33 +0100

ocaml-fileutils (0.6.4-4) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 09:28:42 +0200

ocaml-fileutils (0.6.4-3) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jul 2023 07:31:38 +0200

ocaml-fileutils (0.6.4-2) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 14:45:05 +0200

=== debian/watch ===
version=4
https://github.com/gildor478/ocaml-fileutils/tags .*/archive/refs/tags/v?(\d[\d.]*)\.tar\.gz
